Description: Do not attempt to use pip to install setuptools
Forwarded: not-needed
Author: Julian Gilbey <jdg@debian.org>
Last-Update: 2021-01-05

--- a/setup.py
+++ b/setup.py
@@ -2,28 +2,7 @@
 import sys
 import os
 
-# check if pip is installed. If not, raise an ImportError
-PIP_INSTALLED = True
-
-try:
-    import pip
-except ImportError:
-    PIP_INSTALLED = False
-
-def install_and_import(package):
-    import importlib
-    try:
-        importlib.import_module(package)
-    except ImportError:
-        if not PIP_INSTALLED:
-            raise ImportError('pip is not installed.')
-        pip.main(['install', package])
-    finally:
-        globals()[package] = importlib.import_module(package)
-
-# check if setuptools is installed. If not, install setuptools
-# automatically using pip.
-install_and_import('setuptools')
+import setuptools
 
 from setuptools.command.build_ext import build_ext as _build_ext
 
